Read a terminal session transcript
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript \
--header 'Authorization: Bearer <token>'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunks": [
{
"sequence": 123,
"direction": "input",
"recorded_at": "2023-11-07T05:31:56Z",
"data": "aSDinaTvuI8gbWludGxpZnk="
}
],
"next_after": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organisation
Read a terminal session transcript
Pages through the recorded input and output of a terminal session, base64-encoded, in sequence order. Requires audit.read.
GET
/
api
/
v1
/
org
/
organisation
/
terminal-sessions
/
{session_id}
/
transcript
Read a terminal session transcript
import requests
url = "https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/organisation/terminal-sessions/{session_id}/transcript \
--header 'Authorization: Bearer <token>'{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunks": [
{
"sequence": 123,
"direction": "input",
"recorded_at": "2023-11-07T05:31:56Z",
"data": "aSDinaTvuI8gbWludGxpZnk="
}
],
"next_after": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Return chunks after this sequence number.
Required range:
x >= 0Chunks per page.
Required range:
1 <= x <= 500